Debian Bug report logs - #507288
mails to $pkg@p.d.o should also be send to Uploaders:

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sat, 29 Nov 2008 19:30:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#507288; Package package.qa.debian.org. (Sat, 29 Nov 2008 19:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 29 Nov 2008 19:30:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 29 Nov 2008 20:27:19 +0100
[Message part 1 (text/plain, inline)]
package: package.qa.debian.org
severity: wishlist

Hi,

currently, mails send to $pkg@p.d.o are only send to the address listed in 
maintainers and to those subscribed to the PTS. IMO they also should be send 
to the addresses in Uploaders:. Please do so.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `package.qa.debian.org' to `qa.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 29 Nov 2008 21:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sat, 29 Nov 2008 21:33:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sandro Tosi" <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sat, 29 Nov 2008 21:33:19 GMT) Full text and rfc822 format available.

Message #12 received at 507288@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <morph@debian.org>
To: "Holger Levsen" <holger@layer-acht.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 29 Nov 2008 22:30:52 +0100
On Sat, Nov 29, 2008 at 20:27, Holger Levsen <holger@layer-acht.org> wrote:
> currently, mails send to $pkg@p.d.o are only send to the address listed in
> maintainers and to those subscribed to the PTS. IMO they also should be send
> to the addresses in Uploaders:. Please do so.

+1

Cheers,
-- 
Sandro Tosi (aka morph, Morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sat, 29 Nov 2008 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sat, 29 Nov 2008 21:57:05 GMT) Full text and rfc822 format available.

Message #17 received at 507288@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 507288@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 29 Nov 2008 13:50:00 -0800
Holger Levsen <holger@layer-acht.org> writes:

> currently, mails send to $pkg@p.d.o are only send to the address listed
> in maintainers and to those subscribed to the PTS. IMO they also should
> be send to the addresses in Uploaders:. Please do so.

This does the wrong thing if the maintainer is a mailing list and
Uploaders are the people who do the uploads, doesn't it?  I generally want
to get such mail only once, via the mailing list.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sat, 29 Nov 2008 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sat, 29 Nov 2008 22:39:06 GMT) Full text and rfc822 format available.

Message #22 received at 507288@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Undisclosed.Recipients: ;
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 29 Nov 2008 23:35:37 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Saturday 29 November 2008 22:50, Russ Allbery wrote:
> This does the wrong thing if the maintainer is a mailing list and
> Uploaders are the people who do the uploads, doesn't it?  

No, it doesn't.

> I generally want 
> to get such mail only once, via the mailing list.

I prefer duplicate mails over mails lost.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:12:05 GMT) Full text and rfc822 format available.

Message #27 received at 507288@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:06:33 +0100
[Message part 1 (text/plain, inline)]
On Sat, 29 Nov 2008 23:35:37 +0100, Holger Levsen wrote:

> > I generally want 
> > to get such mail only once, via the mailing list.
> I prefer duplicate mails over mails lost.

I agree with both of you: I don't like duplicate (or "triplicate", if
that word exists) mails but I want to receive mails at least once.

My personal approach for getting rid of the already existing multiple
instances of the same mail is a simple procmail recipe [0]; and since
the problem of duplicate mails already exists anyway (and needs to be
handled anyway) I second Holger's suggestion.

Cheers,
gregor

[0]
taken from man procmail$something:

# duplicates
:0 Wh: msgid.lock
| formail -D 32768 msgid.cache

-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: David Bowie: Drive In Saturday
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to 507288@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:21:07 GMT) Full text and rfc822 format available.

Message #32 received at 507288@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Holger Levsen <holger@layer-acht.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:20:17 +0100
* Holger Levsen [Sat, 29 Nov 2008 20:27:19 +0100]:

> package: package.qa.debian.org
> severity: wishlist

> Hi,

> currently, mails send to $pkg@p.d.o are only send to the address listed in 
> maintainers and to those subscribed to the PTS. IMO they also should be send 
> to the addresses in Uploaders:. Please do so.

Why? Uploaders are probably subscribed to the PTS, *or* the maintainer
is a mailing list.

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                                        Listening to: Martirio - Nonaino





Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 507288@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:34:03 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sunday 30 November 2008 01:20, Adeodato Simó wrote:
> Why? Uploaders are probably subscribed to the PTS, *or* the maintainer
> is a mailing list.

not always.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:42:07 GMT) Full text and rfc822 format available.

Message #42 received at 507288@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:39:03 +0100
[Message part 1 (text/plain, inline)]
On Sun, 30 Nov 2008 01:20:17 +0100, Adeodato Simó wrote:

> > currently, mails send to $pkg@p.d.o are only send to the address listed in 
> > maintainers and to those subscribed to the PTS. IMO they also should be send 
> > to the addresses in Uploaders:. Please do so.
> Why? Uploaders are probably subscribed to the PTS, *or* the maintainer
> is a mailing list.

IMO subscribing to the PTS for packages where I'm "just" in the
Uploaders field is a hassle that can easily be forgot.

Cheers,
gregor 
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Pearl Jam: Thank You
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to 507288@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:48:04 GMT) Full text and rfc822 format available.

Message #47 received at 507288@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: Holger Levsen <holger@layer-acht.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:45:08 +0100
* Holger Levsen [Sun, 30 Nov 2008 01:34:03 +0100]:

> Hi,

> On Sunday 30 November 2008 01:20, Adeodato Simó wrote:
> > Why? Uploaders are probably subscribed to the PTS, *or* the maintainer
> > is a mailing list.

> not always.

Then that uploader does not want to receive mail, period. Unless you go
and use their address directly.

(One could say that they should receive the mail nevertheless because
they've put their name in the control file. That's a valid point of
view, but that's not the "status quo", and it's debatable whether it
should be that way, because the subscription to the PTS is the canonical
way for co-maintianers to work (modulo mailing lists as maintianer).)

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
                        Listening to: Martirio - Como a nadie he querido





Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:51:08 GMT) Full text and rfc822 format available.

Message #52 received at 507288@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:47:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sunday 30 November 2008 01:45, Adeodato Simó wrote:
> (One could say that they should receive the mail nevertheless because
> they've put their name in the control file. That's a valid point of
> view, but that's not the "status quo", and it's debatable whether it
> should be that way, because the subscription to the PTS is the canonical
> way for co-maintianers to work (modulo mailing lists as maintianer).)

Yes, it's debatable and I think the current status is wrong. The canonical way 
should be that maintainers: and uploaders: always get mails, whether they're 
subscribed or not.

As Herman wrote, one has to filter anyway, so..


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 00:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 00:51:10 GMT) Full text and rfc822 format available.

Message #57 received at 507288@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 01:47:39 +0100
[Message part 1 (text/plain, inline)]
Holger Levsen <holger@layer-acht.org> (30/11/2008):
> > Why? Uploaders are probably subscribed to the PTS, *or* the
> > maintainer is a mailing list.
> 
> not always.

dpkg-reconfigure $user, then. Not a PTS bug, at least seen from here.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 01:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 01:36:02 GMT) Full text and rfc822 format available.

Message #62 received at 507288@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 29 Nov 2008 17:32:57 -0800
gregor herrmann <gregoa@debian.org> writes:

> My personal approach for getting rid of the already existing multiple
> instances of the same mail is a simple procmail recipe [0]; and since
> the problem of duplicate mails already exists anyway (and needs to be
> handled anyway) I second Holger's suggestion.

This doesn't work properly with mail splitting based on List-Id headers,
since procmail frequently discards the mail to the mailing list instead of
the (duplicate and unwanted) personal e-mail that doesn't sort into the
proper folder.  You can work around it by splitting mail based on the To
and Cc headers instead of the standardized List-Id header, but that's not
as clean.

I have no objections to this being added if there's some way to turn it
off.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 02:18:03 GMT) Full text and rfc822 format available.

Message #67 received at 507288@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 03:13:53 +0100
[Message part 1 (text/plain, inline)]
On Sat, 29 Nov 2008 17:32:57 -0800, Russ Allbery wrote:

> > My personal approach for getting rid of the already existing multiple
> > instances of the same mail is a simple procmail recipe [0]; and since
> > the problem of duplicate mails already exists anyway (and needs to be
> > handled anyway) I second Holger's suggestion.
> This doesn't work properly with mail splitting based on List-Id headers,
> since procmail frequently discards the mail to the mailing list instead of
> the (duplicate and unwanted) personal e-mail that doesn't sort into the
> proper folder.  

Ack, I also see this annoyance here.

> I have no objections to this being added if there's some way to turn it
> off.

Sounds like a good idea to me.

Cheers,
gregor 
 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Pink Floyd: Us And Them
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 08:48:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 08:48:41 GMT) Full text and rfc822 format available.

Message #72 received at 507288@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Holger Levsen <holger@layer-acht.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 09:02:45 +0100
[Message part 1 (text/plain, inline)]
On 29/11/08 at 20:27 +0100, Holger Levsen wrote:
> package: package.qa.debian.org
> severity: wishlist
> 
> Hi,
> 
> currently, mails send to $pkg@p.d.o are only send to the address listed in 
> maintainers and to those subscribed to the PTS. IMO they also should be send 
> to the addresses in Uploaders:. Please do so.

I really think that the only way to solve that in a definitive way would be:

1/ Improve PTS' mail handling (it still has some rough edges)

2/ Strongly encourage people to subscribe to their packages on the PTS

3/ Make all services send mail to the PTS, and stop sending mail
   directly to maintainers/uploaders
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 10:12:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 10:12:28 GMT) Full text and rfc822 format available.

Message #77 received at 507288@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 507288@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 10:49:18 +0100
On Sun, 30 Nov 2008, Lucas Nussbaum wrote:
> On 29/11/08 at 20:27 +0100, Holger Levsen wrote:
> > package: package.qa.debian.org
> > severity: wishlist
> > 
> > Hi,
> > 
> > currently, mails send to $pkg@p.d.o are only send to the address listed in 
> > maintainers and to those subscribed to the PTS. IMO they also should be send 
> > to the addresses in Uploaders:. Please do so.
> 
> I really think that the only way to solve that in a definitive way would be:
> 
> 1/ Improve PTS' mail handling (it still has some rough edges)

Like what?

> 2/ Strongly encourage people to subscribe to their packages on the PTS
> 
> 3/ Make all services send mail to the PTS, and stop sending mail
>    directly to maintainers/uploaders

I mostly agree with Lucas… 

Holger your request is not really acceptable in the current situation but
I also think that Uploaders/Maintainers should be auto-subscribed and that
we should simplify the situation by having all services mail directly the
PTS. And after that we can reevaluate the situation. Feel free to start
the discussion with ftpmasters and bugmasters, those are the two most
important services that would let us generalize this principle.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 10:12:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 10:12:30 GMT) Full text and rfc822 format available.

Message #82 received at 507288@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 507288@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 11:07:21 +0100
On 30/11/08 at 10:49 +0100, Raphael Hertzog wrote:
> On Sun, 30 Nov 2008, Lucas Nussbaum wrote:
> > On 29/11/08 at 20:27 +0100, Holger Levsen wrote:
> > > package: package.qa.debian.org
> > > severity: wishlist
> > > 
> > > Hi,
> > > 
> > > currently, mails send to $pkg@p.d.o are only send to the address listed in 
> > > maintainers and to those subscribed to the PTS. IMO they also should be send 
> > > to the addresses in Uploaders:. Please do so.
> > 
> > I really think that the only way to solve that in a definitive way would be:
> > 
> > 1/ Improve PTS' mail handling (it still has some rough edges)
> 
> Like what?

Minor UI annoyances: the fact that, when you subscribe to 10 packages in
one email, you get 10 emails in reply, that you each have to confirm
separately [that was the case some time ago, not sure if it's still the
case].

More generally, it's currently not easy to have a team subscribed to all
its packages. Maybe we could have a way to automatically subscribe
someone (team or developer) to a set of packages, using the same
keywords.
Something simple, like a cron script run daily, that would take a list
of emails, and would subscribe each email to each package for which the
mail is in Maintainer or Uploaders. (The list of emails could be managed
by the qa group).
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 18:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 18:57:02 GMT) Full text and rfc822 format available.

Message #87 received at 507288@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 19:53:51 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Sunday 30 November 2008 10:49, Raphael Hertzog wrote:
> Holger your request is not really acceptable in the current situation but
> I also think that Uploaders/Maintainers should be auto-subscribed and that
> we should simplify the situation by having all services mail directly the
> PTS. And after that we can reevaluate the situation. Feel free to start
> the discussion with ftpmasters and bugmasters, those are the two most
> important services that would let us generalize this principle.

I do not understand, what I should discuss with ftpmasters and bugmasters 
here. Really. Can you repeat please? There was some enlightment in this 
thread, but not enough so that I understand why this cannot simply be done in 
the PTS.


regards,
	Holger

P.S.: no need to cc: me on this (or any other QA) bug. 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Sun, 30 Nov 2008 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Sun, 30 Nov 2008 20:36:03 GMT) Full text and rfc822 format available.

Message #92 received at 507288@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 21:33:19 +0100
[Message part 1 (text/plain, inline)]
On Sat, Nov 29, 2008 at 08:27:19PM +0100, Holger Levsen wrote:
> currently, mails send to $pkg@p.d.o are only send to the address listed in 

Just to be sure: did you really mean $pkg@p.d.o or $pkg@p.qa.d.o ?

They are two different things.
AFAICT the latter is handled by the PTS, the former is not.

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Mon, 01 Dec 2008 03:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Mon, 01 Dec 2008 03:21:03 GMT) Full text and rfc822 format available.

Message #97 received at 507288@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Russ Allbery <rra@debian.org>, 507288@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 01 Dec 2008 03:24:03 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2008-11-29 at 13:50 -0800, Russ Allbery wrote:
> Holger Levsen <holger@layer-acht.org> writes:
> 
> > currently, mails send to $pkg@p.d.o are only send to the address listed
> > in maintainers and to those subscribed to the PTS. IMO they also should
> > be send to the addresses in Uploaders:. Please do so.
> 
> This does the wrong thing if the maintainer is a mailing list and
> Uploaders are the people who do the uploads, doesn't it?  I generally want
> to get such mail only once, via the mailing list.

So how about doing this only if maintainer does not match
"@lists\.(alioth\.)?debian\.org$"?

Ben.

-- 
Ben Hutchings
Klipstein's 4th Law of Prototyping and Production:
                                    A fail-safe circuit will destroy others.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Mon, 01 Dec 2008 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Mon, 01 Dec 2008 03:48:03 GMT) Full text and rfc822 format available.

Message #102 received at 507288@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 507288@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sun, 30 Nov 2008 19:43:24 -0800
Ben Hutchings <ben@decadent.org.uk> writes:
> On Sat, 2008-11-29 at 13:50 -0800, Russ Allbery wrote:
>> Holger Levsen <holger@layer-acht.org> writes:

>>> currently, mails send to $pkg@p.d.o are only send to the address listed
>>> in maintainers and to those subscribed to the PTS. IMO they also should
>>> be send to the addresses in Uploaders:. Please do so.

>> This does the wrong thing if the maintainer is a mailing list and
>> Uploaders are the people who do the uploads, doesn't it?  I generally
>> want to get such mail only once, via the mailing list.

> So how about doing this only if maintainer does not match
> "@lists\.(alioth\.)?debian\.org$"?

I'm not sure if that would solve everyone's possible problem (there may be
non-debian.org maintainer lists), but it would definitely solve mine.  All
of my maintainer mailing lists are hosted at debian.org.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Mon, 01 Dec 2008 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Mon, 01 Dec 2008 07:48:03 GMT) Full text and rfc822 format available.

Message #107 received at 507288@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 1 Dec 2008 08:39:23 +0100
Hi,

On Sun, 30 Nov 2008, Holger Levsen wrote:
> On Sunday 30 November 2008 10:49, Raphael Hertzog wrote:
> > Holger your request is not really acceptable in the current situation but
> > I also think that Uploaders/Maintainers should be auto-subscribed and that
> > we should simplify the situation by having all services mail directly the
> > PTS. And after that we can reevaluate the situation. Feel free to start
> > the discussion with ftpmasters and bugmasters, those are the two most
> > important services that would let us generalize this principle.
> 
> I do not understand, what I should discuss with ftpmasters and bugmasters 
> here. Really. Can you repeat please? There was some enlightment in this 
> thread, but not enough so that I understand why this cannot simply be done in 
> the PTS.

Currently Dak and debbugs mail directly the Maintainer and send a copy to
the PTS. Other services mail pkg@packages.d.o and this one also mails the
Maintainer and send a copy the PTS.

You ask to modify the PTS to mail the Uploaders and I respond that it's
not a wise choice because nobody can disable the mails sent directly to
the maintainer.

If we can get the Dak and debbugs to mail only the PTS, then we can code
the PTS to auto-subscribe either the Maintainer or all the Uploaders (or both)
and leave the choice to each team (or each member) to override the default
configuration.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Mon, 01 Dec 2008 08:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Mon, 01 Dec 2008 08:42:06 GMT) Full text and rfc822 format available.

Message #112 received at 507288@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 1 Dec 2008 09:39:57 +0100
On 01/12/08 at 08:39 +0100, Raphael Hertzog wrote:
> Hi,
> 
> On Sun, 30 Nov 2008, Holger Levsen wrote:
> > On Sunday 30 November 2008 10:49, Raphael Hertzog wrote:
> > > Holger your request is not really acceptable in the current situation but
> > > I also think that Uploaders/Maintainers should be auto-subscribed and that
> > > we should simplify the situation by having all services mail directly the
> > > PTS. And after that we can reevaluate the situation. Feel free to start
> > > the discussion with ftpmasters and bugmasters, those are the two most
> > > important services that would let us generalize this principle.
> > 
> > I do not understand, what I should discuss with ftpmasters and bugmasters 
> > here. Really. Can you repeat please? There was some enlightment in this 
> > thread, but not enough so that I understand why this cannot simply be done in 
> > the PTS.
> 
> Currently Dak and debbugs mail directly the Maintainer and send a copy to
> the PTS. Other services mail pkg@packages.d.o and this one also mails the
> Maintainer and send a copy the PTS.
> 
> You ask to modify the PTS to mail the Uploaders and I respond that it's
> not a wise choice because nobody can disable the mails sent directly to
> the maintainer.
> 
> If we can get the Dak and debbugs to mail only the PTS, then we can code
> the PTS to auto-subscribe either the Maintainer or all the Uploaders (or both)
> and leave the choice to each team (or each member) to override the default
> configuration.

Hi,

While I really like the long term goal, I think that the problem is too
complex to be addressed by just asking dak/debbugs people to change
their behaviour.

If someone cares enough about that to work on it, I'd like to see a
document (DEP-like) that would include:
- current state of mail handling in Debian, because it's not clear for
  most of us
- possible evolution
  + needed changes in services
    - including PTS improvements
  + transition plan, so nobody will lose important mails about one's
    packages during the transition
- possible low-hanging benefits?
  + RSS feeds instead of email notifications?

If we go this path, we will have to automatically subscribe some emails
to the PTS, but allow that to be overriden.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#507288; Package qa.debian.org. (Mon, 01 Dec 2008 09:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. (Mon, 01 Dec 2008 09:39:16 GMT) Full text and rfc822 format available.

Message #117 received at 507288@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Undisclosed.Recipients: ;
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 1 Dec 2008 10:31:14 +0100
[Message part 1 (text/plain, inline)]
Hi Stefano,

On Sunday 30 November 2008 21:33, Stefano Zacchiroli wrote:
> Just to be sure: did you really mean $pkg@p.d.o or $pkg@p.qa.d.o ?

I really ment the former, though the behaviour should be the same for the 
latter too, AFAICS.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information stored :
Bug#507288; Package qa.debian.org. (Tue, 02 Dec 2008 10:15:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and filed, but not forwarded. (Tue, 02 Dec 2008 10:15:34 GMT) Full text and rfc822 format available.

Message #122 received at 507288-quiet@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-qa@lists.debian.org
Cc: 507288-quiet@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Tue, 2 Dec 2008 11:13:14 +0100
[Message part 1 (text/plain, inline)]
On Mon, Dec 01, 2008 at 09:39:57AM +0100, Lucas Nussbaum wrote:
> If someone cares enough about that to work on it, I'd like to see a
> document(DEP-like) that would include:

I second this proposal, it seems to really be what we need.
Unfortunately, I don't see myself having the energy to pursue that in
the near future, hence I'm not volunteering to be a driver.

Any takers?

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Mon, 07 Nov 2011 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Preud'homme" <robotux@celest.fr>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 07 Nov 2011 21:39:03 GMT) Full text and rfc822 format available.

Message #127 received at 507288@bugs.debian.org (full text, mbox):

From: "Thomas Preud'homme" <robotux@celest.fr>
To: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 7 Nov 2011 22:37:09 +0100
[Message part 1 (text/plain, inline)]
Le lundi 1 décembre 2008 08:39:23, vous avez écrit :
> Hi,
> 
> On Sun, 30 Nov 2008, Holger Levsen wrote:
> > On Sunday 30 November 2008 10:49, Raphael Hertzog wrote:
> > > Holger your request is not really acceptable in the current situation
> > > but I also think that Uploaders/Maintainers should be auto-subscribed
> > > and that we should simplify the situation by having all services mail
> > > directly the PTS. And after that we can reevaluate the situation. Feel
> > > free to start the discussion with ftpmasters and bugmasters, those are
> > > the two most important services that would let us generalize this
> > > principle.
> > 
> > I do not understand, what I should discuss with ftpmasters and bugmasters
> > here. Really. Can you repeat please? There was some enlightment in this
> > thread, but not enough so that I understand why this cannot simply be
> > done in the PTS.
> 
> Currently Dak and debbugs mail directly the Maintainer and send a copy to
> the PTS. Other services mail pkg@packages.d.o and this one also mails the
> Maintainer and send a copy the PTS.
> 
> You ask to modify the PTS to mail the Uploaders and I respond that it's
> not a wise choice because nobody can disable the mails sent directly to
> the maintainer.
> 
> If we can get the Dak and debbugs to mail only the PTS, then we can code
> the PTS to auto-subscribe either the Maintainer or all the Uploaders (or
> both) and leave the choice to each team (or each member) to override the
> default configuration.
> 
> Cheers,

As pointed out by jcristau and mehdi on IRC a while ago (sorry for that), 
auto-subscribe both the Uploaders and Maintainer would lead to a lot of 
duplicate mails. Indeed, it's often the case that the Maintainer field contains 
a mailing list some of whose members are also in the Uploader field. I guess 
this would mean #481315 can't be solved for the same reason (correct me if I'm 
wrong).

So it leaves us with auto-subscribe the Maintainer or all the Uploader, the 
former having the advantage of not changing the current situation but allowing 
people in the Maintainer field to tweak the mail they receives (as someone who 
register to the PTS can do).

As a first step, I attach is a tiny patch which should remove the sending of 
mail by dak to the maintainer. To avoid any disruption I believe it should be 
activated in dak when the PTS will be able to auto-subscribe people in 
Maintainer field.

Best regards.
[0001-Don-t-email-maintainer-if-PTS-can-be-used-instead.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Fri, 13 Jan 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Fri, 13 Jan 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #132 received at 507288@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Fri, 13 Jan 2012 16:32:40 +0100
Hi,

On Tue, 02 Dec 2008, Stefano Zacchiroli wrote:
> On Mon, Dec 01, 2008 at 09:39:57AM +0100, Lucas Nussbaum wrote:
> > If someone cares enough about that to work on it, I'd like to see a
> > document(DEP-like) that would include:
> 
> I second this proposal, it seems to really be what we need.
> Unfortunately, I don't see myself having the energy to pursue that in
> the near future, hence I'm not volunteering to be a driver.
> 
> Any takers?

I have started to work on a DEP that is a bit broader in scope but that
should fix this at the same time.

http://dep.debian.net/deps/dep2/

In fact I combine an old idea that I already exposed (about tracking
commitments) with a central infrastructure to dispatch information to
package maintainers.

The draft is not complete but it explains the basic issue, a simple
solution to the problem of information flow, and a simple transition
plan.

Comments are welcome and supplementary drivers are also accepted.

I expect that the most difficult part will be to decide how to deal with
the "commitment tracking" part. What should we log? What sort of
relationships should be defined and what should they imply (in terms of
default set of information provided, and of associated commitments)? Etc.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Sat, 14 Jan 2012 11:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Sat, 14 Jan 2012 11:00:11 GMT) Full text and rfc822 format available.

Message #137 received at 507288@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Sat, 14 Jan 2012 11:56:08 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2012 at 04:32:40PM +0100, Raphael Hertzog wrote:
> I have started to work on a DEP that is a bit broader in scope but that
> should fix this at the same time.
> 
> http://dep.debian.net/deps/dep2/

Thanks a lot for doing this!

There many many things in it that I like and that I think should be
pushed forward, quoting some of them from your initial draft:

- The flow of information is not the same depending on whether you're
  listed in the Maintainer field
- The Uploaders field is often outdated
- Support alternate notification systems
- forward the relevant information by other means (RSS, XMPP, IRC,
  etc.).
- new maintainers can then have access to some historic information that
  used to be private for no good reasons
- solves the problem of maintainers who orphan their packages and are
  still listed as maintainers in many released packages

the principle I like the most is that it reduces the barrier to become
(or, conversely, stop being) the maintainer for packages in the archive.

> In fact I combine an old idea that I already exposed (about tracking
> commitments) with a central infrastructure to dispatch information to
> package maintainers.
<snip>
> I expect that the most difficult part will be to decide how to deal with
> the "commitment tracking" part. What should we log? What sort of
> relationships should be defined and what should they imply (in terms of
> default set of information provided, and of associated commitments)? Etc.

This is the part that puzzles me the most.

Although I was also looking forward for your proposal on keeping track
of people commitments, I don't see the benefit of discussing the two
aspects together into an organic proposal. They seem to be quite
orthogonal, with very different scopes: one mostly technical /
infrastructural, the other on the definition of maintainership and the
(moral) requirements to be entitled to it. I can imagine some synergies
among the two, but not that many.

Considering the fact that the "commitment tracking" part might be harder
to reach consensus upon, I fear that joining the two together might sink
also the other part, that taken alone might have an easier way forward.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Mon, 16 Jan 2012 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Mon, 16 Jan 2012 07:39:03 GMT) Full text and rfc822 format available.

Message #142 received at 507288@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Stefano Zacchiroli <zack@debian.org>
Cc: 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Mon, 16 Jan 2012 08:28:59 +0100
On Sat, 14 Jan 2012, Stefano Zacchiroli wrote:
> > I expect that the most difficult part will be to decide how to deal with
> > the "commitment tracking" part. What should we log? What sort of
> > relationships should be defined and what should they imply (in terms of
> > default set of information provided, and of associated commitments)? Etc.
> 
> This is the part that puzzles me the most.
> 
> Although I was also looking forward for your proposal on keeping track
> of people commitments, I don't see the benefit of discussing the two
> aspects together into an organic proposal. They seem to be quite
> orthogonal, with very different scopes: one mostly technical /
> infrastructural, the other on the definition of maintainership and the
> (moral) requirements to be entitled to it. I can imagine some synergies
> among the two, but not that many.
> 
> Considering the fact that the "commitment tracking" part might be harder
> to reach consensus upon, I fear that joining the two together might sink
> also the other part, that taken alone might have an easier way forward.

You're probably right that I should deal with them separately. But in
truth, this part is the one where I see the most long term benefits for
Debian because MIA tracking, knowing who is responsible of what, and
what you can expect of everybody is a major problem in Debian. It's not
normal that we have a so large number of release critical bugs.

So while the benefit of the infrastructure to fix the information flow is
nice, it's not a game changer IMO (although it's an important step to
make collaborative maintenance the usual default within Debian). Whereas
that second part could be (if well done).

I would like to note that this part of the service will be entirely
optional and as such we're looking for reasonable default behaviour
in terms:
- default commitments for each role
- associated auto-prodding rules

But people should be able to opt-out from the auto-prodding part or tweak
the variables (what to notify, delays/frequency, etc.). Or even change
their commitments.

Do you still think it will be an obstacle in this discussion and that I
should separate both?

The reason why I linked both is because this infrastructure somewhat moves
the definition of is who is the (real/effective) maintainer in the
database of this infrastructure. When looking from this angle, tracking
commitments is just the continuation of that change because the binary
view "is maintainer" does not fit the reality of how we are dealing with
packages we maintain (e.g. for some packages, I will look at all the bugs,
for other I will only care about RC bugs because I just want to ensure it
stays in Debian, etc.).

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Wed, 25 Jan 2012 08:57:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Wed, 25 Jan 2012 08:57:56 GMT) Full text and rfc822 format available.

Message #147 received at 507288@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Wed, 25 Jan 2012 09:56:22 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 16, 2012 at 08:28:59AM +0100, Raphael Hertzog wrote:
> You're probably right that I should deal with them separately. But in
> truth, this part is the one where I see the most long term benefits for
> Debian because MIA tracking, knowing who is responsible of what, and
> what you can expect of everybody is a major problem in Debian. It's not
> normal that we have a so large number of release critical bugs.

Mostly agreed, yes.

> So while the benefit of the infrastructure to fix the information flow is
> nice, it's not a game changer IMO (although it's an important step to
> make collaborative maintenance the usual default within Debian). Whereas
> that second part could be (if well done).
<snip>
> Do you still think it will be an obstacle in this discussion and that I
> should separate both?

I gave it a bit more thought, but yes, I still think separation would be
better. Even if the infrastructure change would not be a game changer,
you can see it as a dependency of the role/commitment part.

I do understand why you don't want to go for the role/commitment part
without having the infrastructure part. But at the same time I don't
understand why you couldn't go for the infrastructure part *first* and
then for the role/commitment part.  And given I see some risks in going
together (e.g. tarnishing the benefits of the infrastructure parts in
the eyes of those who disagree with the role/commitment part) I would
prefer to keep the two separate.

Anyhow, the above is just feedback. If you think the two could be
handled together and are willing to invest some time in trying, by all
means, go for it.

... and thanks again for raising these important topics.
Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#507288; Package qa.debian.org. (Thu, 26 Jan 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 26 Jan 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #152 received at 507288@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Stefano Zacchiroli <zack@debian.org>, 507288@bugs.debian.org
Subject: Re: Bug#507288: mails to $pkg@p.d.o should also be send to Uploaders:
Date: Thu, 26 Jan 2012 22:55:07 +0100
On Wed, 25 Jan 2012, Stefano Zacchiroli wrote:
> I gave it a bit more thought, but yes, I still think separation would be
> better. Even if the infrastructure change would not be a game changer,
> you can see it as a dependency of the role/commitment part.

Yes. OK, I'll try to decouple them at least for the discussion side. If
we reach a consensus on the role/commitment side, it's easy to plug
it early in the infrastructure.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/liberation/




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:56:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.